Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command
Interface ActionCommandExecutor

All Superinterfaces:
  Identifiable

All Known Implementing Classes:
  AbstractFileCommand, AbstractFileOpenCommand, AbstractSaveAsCommand, AbstractUndoCommand, ActionCommand, ActionCommandDelegate, CancelSwingWorkerCommand, CloseWindowCommand, DelegatingCommand, DelegatingToggleCommand, DelegatingToggleGroupCommand, LazyCommand, ProxyCommand, RedoCommand, ReflectionCommand, ReflectionSwingWorkerCommand, SwingActionDelegate, SwingWorkerCommand, ToggleCommand, UndoCommand

    public interface ActionCommandExecutor

extends Identifiable

Defines the core methods of the `ActionCommand` and `ActionCommandDelegate` classes.

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)` Adds the specified property change listener.
`void` | `addPropertyChangeListener(java.lang.String propertyName, java.beans.PropertyChangeListener listener)` Adds a property change listener for the specified property.
`void` | `execute(java.util.Map<java.lang.Object,java.lang.Object> parameters)` Executes this instance.
`boolean` | `isEnabled()` Checks if this executor is enabled.
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)` Removes the specified property change listener.
`void` | `removePropertyChangeListener(java.lang.String propertyName, java.beans.PropertyChangeListener listener)` Removes the property change listener from the specified property.

Methods inherited from interface com.pietschy.command.Identifiable
`getId`

Method Detail

### execute

    void execute(java.util.Map<java.lang.Object,java.lang.Object> parameters)

  Executes this instance.

  Parameters:
    `parameters` - any addition execution parameters.

### isEnabled

    boolean isEnabled()

  Checks if this executor is enabled. This must be a bound property that can be monitored using property change listeners.

  Returns:
    `true` if the executor is enabled, `false` otherwise.

### addPropertyChangeListener

    void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

  Adds the specified property change listener.

  Parameters:
    `listener` - the listener to add.

### removePropertyChangeListener

    void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

  Removes the specified property change listener.

  Parameters:
    `listener` - the listener to remove.

### addPropertyChangeListener

    void addPropertyChangeListener(java.lang.String propertyName,
                                   java.beans.PropertyChangeListener listener)

  Adds a property change listener for the specified property.

  Parameters:
    `propertyName` - the property to listen to.
    `listener` - the listener to add.

### removePropertyChangeListener

    void removePropertyChangeListener(java.lang.String propertyName,
                                      java.beans.PropertyChangeListener listener)

  Removes the property change listener from the specified property.

  Parameters:
    `propertyName` - the property being monitored.
    `listener` - the listener to remove.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch